----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    00:17:37 08/11/2006 
-- Design Name: 
-- Module Name:    bank_select - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 8 Bit inverter
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity bank_select is
port (		banksel		: in    std_logic;
					REN				: in		std_logic;
					RWE				: in		std_logic;					
					ENRAMBANK	: out   std_logic_vector(1 downto 0);
					WERAMBANK :	out   std_logic_vector(1 downto 0)
			);
end bank_select;

architecture RTL of bank_select is

begin
process(banksel,REN,RWE)

begin

	case banksel is
	when '0'=>  ENRAMBANK(0) <= REN; WERAMBANK(0) <= RWE; 
							ENRAMBANK(1) <= '0'; WERAMBANK(1) <= '0'; 

	when '1'=>	ENRAMBANK(1) <= REN; WERAMBANK(1) <= RWE; 
							ENRAMBANK(0) <= '0'; WERAMBANK(0) <= '0'; 

	when others =>  ENRAMBANK(0) <= REN; WERAMBANK(0) <= RWE; 
									ENRAMBANK(1) <= '0'; WERAMBANK(1) <= '0'; 


	end case;

end process;
end RTL;

