----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    23:24:38 08/11/2006 
-- Design Name: 
-- Module Name:    d_mux - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity d_mux16to8 is
generic (
      BITWIDTH   	: integer := 16;
			DBITWIDTH  	: integer := 8
			
	);

port (		BANKSEL		:	in		std_logic;
					DIN				: in    std_logic_vector(BITWIDTH-1 downto 0);
					DOUT			: out   std_logic_vector(DBITWIDTH-1 downto 0)
			);
end d_mux16to8;

architecture RTL of d_mux16to8 is

begin
process(DIN,BANKSEL)
begin
	case BANKSEL is
		when '0' =>	DOUT <= DIN(7 downto 0);
		when '1' => DOUT <= DIN(15 downto 8);
		when  others =>	DOUT <= DIN(7 downto 0);
end case;
end process;
end RTL;


